Bug 504101 - xsession-errors: Another Window Manager is already running
xsession-errors: Another Window Manager is already running
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 04:12 EDT by Luis Garrido
Modified: 2015-01-14 18:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:32:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Garrido 2009-06-04 04:12:37 EDT
Description of problem:

After gdm login no window manager will be started or it will start without the user custom settings,namely: 

- It will use the default wm theme instead of the one chosen by the user, the pager will show only one virtual desktop instead of four.)

-Several restarts of X are necessary using Ctl-Alt-Backspace until the session gets started normally.

Those two are the most visually noticeable effects that something has gone wrong, but there could be more.

Version-Release number of selected component (if applicable):

gdm-2.24.1-4.fc10.i386

How reproducible:

Randomly. May happen even right after a clean reboot.

Additional info:

I am currently using xfce, but it happened to me with gnome too, thats why I chose gdm as a potential culprit, but it could be another related daemon.

When the window manager starts with the default settings instead of the customized ones I get this in my .xsessions-errors file:


/usr/bin/startxfce4: X server already running on display :0
xrdb:  "Xft.hinting" on line 9 overrides entry on line 6
xrdb:  "Xft.hintstyle" on line 10 overrides entry on line 7
** Message: Querying XINPUT extension
** Message: XINPUT extension found
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: This build doesn't include support for XF86Misc extension
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: another SSH agent is running at: /tmp/ssh-frEfNS7001/agent.7001
** Message: To replace the window manager, try with "--replace"


** (xfwm4:7113): WARNING **: Another Window Manager is already running


This is right after a clean reboot, so no other window manager was ever started. I forgot to check the process list, though, will do next time and post it here. I terminated the session with Ctl-Alt-Backspace and the next two times I tried to login I got no window manager whatsoever. Fourth time was the charm, and I got my usual session with its custom settings.
Comment 1 Luis Garrido 2009-06-11 02:46:52 EDT
This are the contents of my .xsessions-errors for the case there's no X application started after login:

/usr/bin/startxfce4: X server already running on display :0
xrdb:  "Xft.hinting" on line 9 overrides entry on line 6
xrdb:  "Xft.hintstyle" on line 10 overrides entry on line 7
** Message: Querying XINPUT extension
** Message: XINPUT extension found
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: This build doesn't include support for XF86Misc extension
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: another SSH agent is running at: /tmp/ssh-ApZWdt2523/agent.2523
** Message: To replace the window manager, try with "--replace"


** (xfwm4:2632): WARNING **: Another Window Manager is already running
xfce4-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.

(xfce4-panel:2634): libxfcegui4-WARNING **: ICE I/O Error

(xfce4-panel:2634): libxfcegui4-WARNING **: Disconnected from session manager.
xfce-mcs-manager: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
xfce4-panel: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
xfce4-mixer-plugin: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
xfce4-menu-plugin: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
xfce4-battery-plugin: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.




This is .xsession-errors for a normal session:

/usr/bin/startxfce4: X server already running on display :0
xrdb:  "Xft.hinting" on line 9 overrides entry on line 6
xrdb:  "Xft.hintstyle" on line 10 overrides entry on line 7
** Message: Querying XINPUT extension
** Message: XINPUT extension found
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: This build doesn't include support for XF86Misc extension
** Message: Querying Xkb extension
** Message: Xkb extension found
** Message: another SSH agent is running at: /tmp/ssh-vyctyn4103/agent.4103
Error: No running window found



So those are the three cases. A typical session:

- Boot the computer.
- Log in. Got a session with default theme and only one virtual desktop. Ctrl-Alt-Backspace.
- Log in. Got nothing but the wallpaper. Ctrl-Alt-Backspace.
- Log in. Got nothing but the wallpaper. Ctrl-Alt-Backspace.
- Log in. Got nothing but the wallpaper. Ctrl-Alt-Backspace.
- Log in. Got a normal session with my custom settings.
Comment 2 Bug Zapper 2009-11-18 07:04:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:32:10 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.